| Elektra 0.11.0

Namespaces | Enumerations
mergeconflict.hpp File Reference

Models a merge conflict. More...

`#include <string>`
`#include <toolexcept.hpp>`

## Namespaces
namespace | kdb
| This is the main namespace for the C++ binding and libraries.
namespace | kdb::tools
| This namespace is for the libtool library.

## Enumerations
enum | kdb::tools::merging::ConflictOperation { kdb::tools::merging::CONFLICT_ADD , CONFLICT_DELETE , CONFLICT_MODIFY , CONFLICT_META , CONFLICT_SAME }

## Detailed Description

Models a merge conflict.

Copyright
  BSD License (see LICENSE.md or https://www.libelektra.org)

## Enumeration Type Documentation

## ◆ ConflictOperation

enum kdb::tools::merging::ConflictOperation

Enumerator
CONFLICT_ADD | Conflict because of adding key.